1. nhyde's Avatar
    Hi,

    New to Android, sorry if this is answered elsewhere, I didn't see it. I just purchased a new Samsung Galaxy S II through AT&T and I am attempting to downlaod some apps. I am getting the following error message 'This app is incompatible with your AT&T Samsung SAMSUNG-SGH-I777.' when trying to download Duke Nukem 3D...Any idea why I would be getting this? It's a brand new phone...One thing to note, I am getting this message on the Android Market via the website.
    12-22-2011 05:24 PM
  2. pounder001's Avatar
    Never had that issue with any of my Android phones, but then again I dont have any apps that are games
    12-22-2011 05:49 PM
  3. Mr.Gadget's Avatar
    Is this a purely stock SG2?
    There are some apps that are not compatible, but they are very few and far between... Usually apps with some sort of DRM. I haven't tried Duke, but I wonder if it's locked down to specific devices like what happened with Netflix and HuluPlus...?
    12-23-2011 02:19 PM
  4. nhyde's Avatar
    Is this a purely stock SG2?
    There are some apps that are not compatible, but they are very few and far between... Usually apps with some sort of DRM. I haven't tried Duke, but I wonder if it's locked down to specific devices like what happened with Netflix and HuluPlus...?
    Yeah - It's brand new...I've downloaded a few apps, and I updated to the most recent OS per the prompt I got and that's it.
    12-23-2011 03:19 PM
LINK TO POST COPIED TO CLIPBOARD